<div class="login d-flex justify-content-center align-items-center">
  <div class="card">
    <form
      class="card-body"
      [formGroup]="loginForm"
      (ngSubmit)="onLogin()"
    >
      <h1 class="title text-center">Bienvenido</h1>

      <div class="form-group">
        <label for="email">Correo electrónico</label>

        <input
          type="email"
          class="form-control"
          [class.is-invalid]="isInvalid('email')"
          id="email"
          aria-describedby="userEmail"
          placeholder="visomi.dev@gmail.com"
          formControlName="email"
          required
        >

        <small
          *ngIf="isInvalid('email')"
          id="emailHelp"
          class="form-text text-danger"
        >
          El email debe cumplir el siguiente patrón: <br>
          email@dominio.com
        </small>
      </div>

      <div class="form-group">
        <label for="password">Contraseña</label>

        <input
          type="password"
          class="form-control"
          [class.is-invalid]="isInvalid('password')"
          id="password"
          placeholder="*******"
          formControlName="password"
          required
        >

        <small
          *ngIf="isInvalid('password')"
          id="passwordHelp"
          class="form-text text-danger"
        >
          La contraseña debe tener: <br>
          8 Dígitos, por lo menos una mayuscula y una minuscula.
        </small>
      </div>

      <div class="form-group d-flex justify-content-center align-items-center">
        <button
          type="submit"
          class="btn btn-primary"
          [disabled]="!loginForm.valid || loading"
        >
          Iniciar Sesión
        </button>
      </div>
    </form>

    <div class="signup-link text-center">
      <a [routerLink]="['/signup']">
        ¿Aún no tienes una cuenta?
      </a>
    </div>
  </div>
</div>
